## visad.georef
Class NavigatedCoordinateSystem

    java.lang.Object
      visad.CoordinateSystem
          visad.georef.NavigatedCoordinateSystem

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MapProjection, Radar2DCoordinateSystem, Radar3DCoordinateSystem, TrivialNavigation

public abstract class NavigatedCoordinateSystem
extends CoordinateSystem

Abstract class for CoordinateSystems that have RealType.Latitude and RealType.Longitude in their reference RealTupleType.

See Also:
  Serialized Form

Constructor Summary
`NavigatedCoordinateSystem(RealTupleType reference, Unit[] units)` Constructs from the type of the reference coordinate system and units for values in this coordinate system.

Method Summary
`int` `getLatitudeIndex()` Get the index of RealType.Latitude in the reference RealTupleType.
`int` `getLongitudeIndex()` Get the index of RealType.Longitude in the reference RealTupleType.

Methods inherited from class visad.CoordinateSystem
`canConvert, equals, fromReference, fromReference, fromReference, fromReference, getCoordinateSystemUnits, getDimension, getReference, getReferenceUnits, toReference, toReference, toReference, toReference, transformCoordinates, transformCoordinates, transformCoordinates, transformCoordinates, transformCoordinatesFreeUnits, transformCoordinatesFreeUnits`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigatedCoordinateSystem

    public NavigatedCoordinateSystem(RealTupleType reference,
                                     Unit[] units)
                              throws VisADException

  Constructs from the type of the reference coordinate system and units for values in this coordinate system. The reference coordinate system must contain RealType.Latitude and RealType.Longitude.

Parameters:
  `reference` - The type of the reference coordinate system. The reference must contain RealType.Latitude and RealType.Longitude. Values in the reference coordinate system shall be in units of reference.getDefaultUnits() unless specified otherwise.
  `units` - The default units for this coordinate system. Numeric values in this coordinate system shall be in units of units unless specified otherwise. May be null or an array of null-s.
Throws:
  `VisADException` - Couldn't create necessary VisAD object or reference does not contain RealType.Latitude or RealType.Longitude.

Method Detail

### getLatitudeIndex

    public int getLatitudeIndex()

  Get the index of RealType.Latitude in the reference RealTupleType.

  Returns:
    index of RealType.Latitude in the reference

### getLongitudeIndex

    public int getLongitudeIndex()

  Get the index of RealType.Longitude in the reference RealTupleType.

  Returns:
    index of RealType.Longitude in the reference